spec:
  inputs:
    pagesStage:
      description: Pages stage
      default: 'documentation'
   
---

## variables:
##   SONAR_USER_HOME: $[[ inputs.sonarUserHome ]]
##   GIT_DEPTH: $[[ inputs.gitDepth ]]
##   SONAR_TOKEN: $[[ inputs.sonarToken ]]
##   SONAR_HOST_URL: $[[ inputs.sonarHostUrl ]]


pages:
  stage: $[[ inputs.pagesStage ]]
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      when: on_success
  script:
    - source venv/bin/activate
    - pip install sphinx sphinx-rtd-theme recommonmark
    - cd docs ; make html
    - mv _build/html/ ../public/
  artifacts:
    paths:
      - public
  allow_failure: true
